// Plugin demo pour XnView
// Antonio Da Cruz - 26/1/2007
// Actions simples via l'explorateur XnView

library DelphiExp;

uses
  Windows,
  Controls,
  Forms,
  XPlugins,
  Params in 'Params.pas' {FrmParams};

{$R *.res}

function GetPluginInfo(version: LongInt; var Header: TPLUGIN_HEADER): BOOL; stdcall;
begin
  if Version >= PLUGIN_VERSION then
  begin
    Header.description := 'Demo Delphi : actions via l''explorateur';
    Header.capabilities := PLUGIN_CAP_ACCEPT_FILES;
    Result := True;
  end
  else Result := False;
end;

function Process(var FileList: TPLUGIN_FILELIST; FileCount: LongInt;
  var Params: TPLUGIN_PARAMS): BOOL; stdcall;
begin
  Application.Handle := Params.hWnd;
  FrmParams := TFrmParams.Create(Application);
  try
    FrmParams.InitData(FileList, FileCount, Params);
    Result := FrmParams.ShowModal = mrOk;
    FrmParams.Free;
  except
    Result := false;
    FrmParams.Free;
  end;
end;

exports
  GetPluginInfo name 'GetPluginInfo',
  Process name 'Process';
  
begin
end.
