// Plugin demo pour XnView
// Antonio Da Cruz - 8/1/2007

library DelphiParam;

uses
  Windows,
  Controls,
  Forms,
  XPlugins,
  Params in 'Params.pas' {FrmParams};

{$R *.res}

function GetPluginInfo(version: LongInt; var Header: TPLUGIN_HEADER): BOOL; stdcall;
begin
  if Version >= PLUGIN_VERSION then
  begin
    Header.description := 'Demo Delphi : Filtres de base';
    Header.capabilities := PLUGIN_CAP_FILTER;
    Result := True;
  end
  else Result := False;
end;

function ProcessFilter(var Params: TPLUGIN_PARAMS): BOOL; stdcall;
begin
  Application.Handle := Params.hWnd;
  FrmParams := TFrmParams.Create(Application);
  try
    FrmParams.InitParam(@Params);
    Result := FrmParams.ShowModal = mrOk;
    FrmParams.Free;
  except
    Result := False;
    FrmParams.Free;
  end;
end;

// non utilise mais doit tre prsent ?
function Process(var FileList: TPLUGIN_FILELIST; FileCount: LongInt;
  var Params: TPLUGIN_PARAMS): BOOL; stdcall;
begin
  Result := True;
end;

exports
  GetPluginInfo name 'GetPluginInfo',
  ProcessFilter name 'ProcessFilter',
  Process name 'Process';
  
begin
end.
