#ifdef PLUGIN_EXPORTS
#define PLUGIN_API __declspec(dllexport)
#else
#define PLUGIN_API __declspec(dllimport)
#endif

#include <windows.h>
#include "XPlugins.h"

#ifdef __cplusplus
extern "C" {
#endif

PLUGIN_API BOOL __stdcall GetPluginInfo( int version, PLUGIN_HEADER* header ); 
PLUGIN_API BOOL __stdcall Process( const PLUGIN_FILELIST* pFileList, int fileCount, const PLUGIN_PARAMS* pParams ); 
PLUGIN_API BOOL __stdcall ProcessSlide( const PLUGIN_FILELIST* pFileList, int fileCount, const PLUGIN_SLIDE_PARAMS* slide_params, const PLUGIN_PARAMS* pParams ); 
PLUGIN_API BOOL __stdcall ProcessFilter( const PLUGIN_PARAMS* params ); 

#ifdef __cplusplus
}; 
#endif
